/*

	PrefWindow.h v0.8.1
    
	Copyright 1997 Jeremy Rand
    
*/
    
#ifndef PREFWINDOW_H
#define PREFWINDOW_H

#include <interface/Window.h>
#include <interface/MenuField.h>
#include <interface/MenuItem.h>
#include <interface/PopUpMenu.h>
#include <interface/TextControl.h>
#include <interface/Button.h>
#include <interface/View.h>
#include <app/Message.h>
#include <device/SerialPort.h>
#include <stdio.h>
#include <string.h>


class PrefWindow : public BWindow {

protected:
	
	BTextControl *initstring;
	BButton *StartButton, *StopButton, *QuitButton;
	BMessage *StartMessage;
	
public:
	PrefWindow(char *aTitle);
	virtual bool QuitRequested(void);
	void MessageReceived(BMessage *msg);
	};
	
#endif