/*
	
	CallerIDPref.cpp v0.8.1
	
	Copyright 1997 Jeremy Rand

This file contains the code which sets up the global
environment for the preferencess application.
	
*/

#include "CallerIDPref.h"


main()
{

	// Pretty standard main() for a BeOS app
	
	CIDPrefApp *myApplication;
	
	myApplication = new CIDPrefApp();
	myApplication->Run();
	
	delete(myApplication);
	return(0);
	}

CIDPrefApp::CIDPrefApp()
		  		  : BApplication(CallerIDPrefType)
{
	// Make the preferences window
	
	myWindow = new PrefWindow("CID Settings");
	myWindow->Show();
	}


void CIDPrefApp::AboutRequested(void)
{
	// This just displays my meager about window
	
	BAlert *anAlert = new BAlert("",
		"CallerID Preferences v0.8 by Jeremy Rand\n"
		"jrand@newbridge.com\n"
		"Copyright 1997",
		"Cool");
	
	anAlert->Go();
	}