/*

	CallerIDd.h v0.8.1
    
	Copyright 1997 Jeremy Rand
    
*/
    
#ifndef CALLERIDD_H
#define CALLERIDD_H

#include "Reader.h"
#include <app/Application.h>
#include <app/Message.h>
#include <app/Messenger.h>
#include <kernel/OS.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>

class CIDApplication : public BApplication {

protected:
	// typedef BApplication inherited;
	BMessenger *theSettingsWindow;
	thread_id reader;
	SerialSet theSettings;
	char *ParseInit(char *buffer);
	
public:
	CIDApplication();
	virtual bool QuitRequested(void);
	void MessageReceived(BMessage *msg);
	virtual void ReadyToRun(void);
	};
	
#endif